> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a Bom Product



## OpenAPI

````yaml /openapi.json patch /api/v1/Products/Skus/Bom
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Products/Skus/Bom:
    patch:
      tags:
        - Products
      summary: Updates a Bom Product
      requestBody:
        description: The product to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBomRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringServiceResult'
components:
  schemas:
    UpdateBomRequest:
      required:
        - itemTypeCode
        - sku
        - srp
        - supplierId
      type: object
      properties:
        sku:
          minLength: 1
          type: string
          description: >-
            The SKU of the customer for the GSET or PTO. This is not the SKU of
            the items in the collection. Add that in the LineItems field
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        description:
          type: string
          description: Description of the BOM SKU
          nullable: true
        srp:
          type: number
          description: Suggested Retail Price
          format: double
        itemTypeCode:
          minLength: 1
          type: string
          description: "The ItemType (Code)\r\n            \r\n     GSET - Gift Set\r\n     PTO - Pick to Order"
      additionalProperties: false
    StringServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: string
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````